%define name alsa-plugins
%define version 1.0.24
%define alibversion %version
%define beta 0
%if %beta
%define fname %name-%{version}%beta
%else
%define fname %name-%{version}
%endif

%define libname %mklibname %name

Summary: Advanced Linux Sound Architecture (ALSA) plugins
Name:    %name
Version: %version
%if %beta
Release: %mkrel 0.%{beta}.2
%else
Release: %mkrel 1
%endif
Source0:  ftp://ftp.alsa-project.org/pub/plugins/%fname.tar.bz2
Source1: jack.conf
Source2: pulseaudio.conf
Source3: pcm-oss.conf
Source4: samplerate.conf
Source5: upmix.conf
Source6: vdownmix.conf
Source7: pulse-default.conf

# All packages are LGPLv2+ with the exception of samplerate which is GPLv2+
License: GPLv2+ and LGPLv2+
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %alibversion
BuildRequires: libpulseaudio-devel >= 0.8
BuildRequires: ncurses-devel
BuildRequires: jackit-devel
BuildRequires: ffmpeg-devel
BuildRequires: speex-devel

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%package -n %{libname}
Summary: Advanced Linux Sound Architecture (ALSA) plugins
Group: Sound
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < %{version}-%{release}
Requires: libalsa >= %alibversion
Requires: %{name}-doc

%description -n %{libname}
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%package doc
Summary: Advanced Linux Sound Architecture (ALSA) plugins
Group: Sound

%description doc
Documentation for %{name}

# (tv) needed for biarch:
%package        pulse-config
Summary:        Alsa to PulseAudio backend configuration
Group:          Sound
License:        LGPLv2+
Conflicts:	%{libname}-pulseaudio  <= 1.0.16-6mdv2008.1
%ifarch %ix86
Conflicts:	lib64alsa-plugins-pulseaudio <= 1.0.16-6mdv2008.1
%endif
# (cg) For upgrading from old configuration system
Requires(post): libalsa-data >= 1.0.20-2
Requires(post): update-alternatives

%description pulse-config
This package contains configuration files for the pulse ALSA plugin.

%post pulse-config
# (cg) Check to see if the user has disabled pulse in the old style setup.
if [ -f %{_sysconfdir}/alsa/pulse-default.conf ]; then
  if grep "^#DRAKSOUND- " %{_sysconfdir}/alsa/pulse-default.conf 2>/dev/null >/dev/null; then
    update-alternatives --set soundprofile /etc/sound/profiles/alsa
  fi
fi

%package -n %{libname}-pulseaudio
Summary:        Alsa to PulseAudio backend
Group:          Sound
License:        LGPLv2+
Provides:	%{name}-pulseaudio = %{version}-%{release}
Conflicts:	%{libname} < 1.0.15-2mdv
Conflicts:	%{name} < 1.0.14-8mdv
Requires:	 %name-pulse-config
%ifarch x86_64
# (cg) Suggest the 32 bit plugin on 64 bits to ensure compatibility
#      with (typically closed source) 32 bit apps.
Suggests: lib%{name}-pulseaudio
%endif

%description -n %{libname}-pulseaudio
This plugin allows any program that uses the ALSA API to access a PulseAudio
sound daemon. In other words, native ALSA applications can play and record
sound across a network. There are two plugins in the suite, one for PCM and
one for mixer control.

%package -n %{libname}-jack
Summary:        Jack PCM output plugin for ALSA
Group:          Sound
License:        LGPLv2+
Provides:	%{name}-jack = %{version}-%{release}
Conflicts:	%{libname} < 1.0.15-2mdv

%description -n %{libname}-jack
This plugin converts the ALSA API over JACK (Jack Audio Connection
Kit, http://jackit.sf.net) API.  ALSA native applications can work
transparently together with jackd for both playback and capture.

    ALSA apps (playback) -> ALSA-lib -> JACK plugin -> JACK daemon
    ALSA apps (capture) <- ALSA-lib <- JACK plugin <- JACK daemon

This plugin provides the PCM type "jack"

%prep
%setup -q -n %fname
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std mkdir_p="mkdir -p"

install -d %{buildroot}%{_sysconfdir}/alsa

install -d %{buildroot}%{_datadir}/alsa/pcm
install -m 644 %SOURCE1 %SOURCE2 \
               %SOURCE4 %SOURCE5 %SOURCE6 \
                   %{buildroot}%{_datadir}/alsa/pcm

# (cg) Include a configuration for when pulse is active
install -d  %{buildroot}%{_sysconfdir}/sound/profiles/pulse
install -m 644 %SOURCE7 \
                   %{buildroot}%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf

%clean
rm -rf %{buildroot}

%files doc
%defattr(-,root,root)
%doc COPYING* doc/R* doc/*.txt

%files -n %{libname}
%defattr(-,root,root)
%exclude %{_libdir}/alsa-lib/*_pulse.so
%exclude %{_libdir}/alsa-lib/*_jack.so
%{_datadir}/alsa/pcm/samplerate.conf
%{_datadir}/alsa/pcm/upmix.conf
%{_datadir}/alsa/pcm/vdownmix.conf
%_libdir/alsa-lib/*


%files pulse-config
%defattr(-,root,root)
%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf
%{_datadir}/alsa/pcm/pulseaudio.conf

%files -n %{libname}-pulseaudio
%defattr(-,root,root,-)
%doc doc/README-pulse
%{_libdir}/alsa-lib/libasound_module_pcm_pulse.so
%{_libdir}/alsa-lib/libasound_module_ctl_pulse.so
%{_libdir}/alsa-lib/libasound_module_conf_pulse.so

%files -n %{libname}-jack
%defattr(-,root,root,-)
%doc doc/README-jack
%{_datadir}/alsa/pcm/jack.conf
%{_libdir}/alsa-lib/libasound_module_pcm_jack.so


%changelog
* Mon Mar 07 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.0.24-1mdv2011.0
+ Revision: 642748
- new version 1.0.24

* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.23-3mdv2011.0
+ Revision: 603174
- rebuild

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.23-2mdv2010.1
+ Revision: 539575
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Sat Apr 17 2010 Colin Guthrie <cguthrie@mandriva.org> 1.0.23-1mdv2010.1
+ Revision: 535803
- New version: 1.0.23

* Sun Dec 20 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.22-1mdv2010.1
+ Revision: 480505
- New version: 1.0.22
- Use %%make (parallel build worked fine in my tests)
- Remove patches from Anssi now commited upstream

* Fri Nov 27 2009 Anssi Hannula <anssi@mandriva.org> 1.0.21-3mdv2010.1
+ Revision: 470655
- fix 5.1 channel order of a52 plugin (patch, fixes #55955)
- fix message about unspecified channel layout when using a52 plugin
  (patch, see #55955)

* Tue Oct 20 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.21-2mdv2010.0
+ Revision: 458361
- Add suggests on the 32-bit pulseaudio plugin on 64-bit systems for better compatibility OOTB

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.0.21-1mdv2010.0
+ Revision: 423174
- fix build
- new release

* Sun Aug 16 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.20-5mdv2010.0
+ Revision: 416909
- Support the new soundprofile system for chosing which sound system to use.

* Wed Aug 05 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.20-4mdv2010.0
+ Revision: 410291
- More upstream pulse patches

* Fri Jul 31 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.20-3mdv2010.0
+ Revision: 405159
- pulse: Add pause support (upstream)
- pulse: assert()-dectomy (sent upstream)
- pulse: Fix overzealous assert()-dectomy (me - sent upstream)
- pulse: Remove dmix hijack: invalid assesement - will convert to alternatives in due course
- libtoolize

* Fri Jul 24 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.20-2mdv2010.0
+ Revision: 399264
- When user opts for pulseaudio by default, assimilate dmix too.

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 1.0.20-1mdv2010.0
+ Revision: 374785
- new release

* Fri Feb 20 2009 Thierry Vignaud <tv@mandriva.org> 1.0.19-1mdv2009.1
+ Revision: 343373
- new release

* Thu Oct 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-1mdv2009.1
+ Revision: 298680
- Final version: 1.0.18
- Drop upstream applied patchs
- Fix recording via pulse

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 1.0.18-0.rc3.4mdv2009.1
+ Revision: 293113
- rebuild for new ffmpeg

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.18-0.rc3.3mdv2009.0
+ Revision: 290823
- Add conflicts to ease upgrade from 2008.0

  + Colin Guthrie <cguthrie@mandriva.org>
    - Add pulse configuration plugin that had been excluded
    - Replace $RPM_BUILD_ROOT with %%{buildroot}

* Fri Sep 19 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-0.rc3.2mdv2009.0
+ Revision: 285839
- Apply patch from Lennart Pottering to fix issues with the mainloop
- Change the ALSA hint description when pulse is set as default to make it clearer in apps which list alsa devices and hints

* Wed Sep 10 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-0.rc3.1mdv2009.0
+ Revision: 283541
- New release candidate: 1.0.18rc3
- Drop pulse rework patch (merged upstream)

* Wed Sep 03 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-0.rc2.2mdv2009.0
+ Revision: 279959
- Apply upstream patch to rework the pulse plugin

* Sun Aug 24 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.18-0.rc2.1mdv2009.0
+ Revision: 275469
- Adapt version requirements for alsa-lib
- Drop upstream applied patches
- New release candidate: 1.0.18 rc2

* Wed Jul 23 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-2mdv2009.0
+ Revision: 242058
- Some upstream pulseaudio fixes.

* Wed Jul 16 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-1mdv2009.0
+ Revision: 236499
- New version: 1.0.17

* Wed Jun 25 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-0.rc2.3mdv2009.0
+ Revision: 229120
- Disable the swparams patch for now pending further investigation. It breaks everything.

* Sun Jun 22 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.17-0.rc2.2mdv2009.0
+ Revision: 227957
- Rename patch from upstream bugtracker for better tracking
- Add additional patch for pulse sw params (wine related)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.17-0.rc2.1mdv2009.0
+ Revision: 219568
- remove patches already applied
- new release

* Tue Jun 10 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-9mdv2009.0
+ Revision: 217460
- fix URL

* Wed Apr 02 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-8mdv2008.1
+ Revision: 191635
- remove bogus provides in pulse-config

* Tue Apr 01 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-7mdv2008.1
+ Revision: 191500
- fix upgrading _both_ lib{,64}alsa-plugins-pulse on biarch systems by spliting
  out the config files in a common subpackage (#39414)

* Thu Mar 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.16-6mdv2008.1
+ Revision: 187710
- Rebuild
- Add description hint for PulseAudio when default (i.e. aplay -L)

* Wed Mar 12 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-4mdv2008.1
+ Revision: 187096
- patches 2 & 3: official patches from upstream repository to fix pulse asserts
  resulting in unexpected crashes
- patch 1: remove bits already in official patches from unofficial patch

* Mon Mar 10 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.16-3mdv2008.1
+ Revision: 183546
- Allow setting of hints for the pulseaudio plugin (alsa#3834)

* Thu Feb 21 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.16-2mdv2008.1
+ Revision: 173672
- Apply patch from Alsa bug #2601 to fix an assert in and a buffer calculation in pulseaudio plugin.

* Wed Feb 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-1mdv2008.1
+ Revision: 163082
- new release

* Wed Jan 23 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.16-0.rc1.2mdv2008.1
+ Revision: 157006
- Remove invalid requires (Mdv bug #37098)

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 1.0.16-0.rc1.1mdv2008.1
+ Revision: 155929
- new release

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0.15-5mdv2008.1
+ Revision: 152815
- remove useless kernel require

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.15-4mdv2008.1
+ Revision: 138878
- Patch1 (HG): fix assert in pulse plugin (Alsa bug #3470)
- Patch2 (HG): add minmax condition for pulse plugin (Alsa bug #2601)
- Patch3 (HG): report XRUN state back to application (Fedora)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.15-3mdv2008.1
+ Revision: 118015
- Use correct path for alsa config files, it isn't the same as Fedora

* Wed Dec 05 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.15-2mdv2008.1
+ Revision: 115679
- Move pulseaudio and jack plugin in subpackages
- Add default configuration files for jack, pulseaudio and other plugins (Fedora)

* Tue Oct 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-1mdv2008.1
+ Revision: 99092
- new release

* Sun Oct 14 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.15-0.rc1.3mdv2008.1
+ Revision: 98172
- Remove erroneous Provides due to over-zealous copy+paste

* Sun Oct 14 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.15-0.rc1.2mdv2008.1
+ Revision: 98126
- Libify to allow both 32 and 64 bit installation to co-exist

* Tue Oct 09 2007 Thierry Vignaud <tv@mandriva.org> 1.0.15-0.rc1.1mdv2008.1
+ Revision: 95784
- new release

* Tue Sep 25 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.14-7mdv2008.0
+ Revision: 92913
- Apply upstream/fedora patch for pulse audio defaults.

* Tue Jun 26 2007 Thierry Vignaud <tv@mandriva.org> 1.0.14-6mdv2008.0
+ Revision: 44573
- add buildrequires for more plugins

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0.14-4mdv2008.0
+ Revision: 36245
- rebuild with correct optflags

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Thu May 03 2007 Thierry Vignaud <tv@mandriva.org> 1.0.14-0.rc4.1mdv2008.0
+ Revision: 21559
- new release


* Thu Mar 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc3.1mdv2007.1
+ Revision: 138549
- new release

* Tue Jan 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-0.rc2.1mdv2007.1
+ Revision: 112299
- new release

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.0
+ Revision: 71861
- new release

* Fri Aug 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1mdv2007.0
+ Revision: 57846
- new release
- new release
- kill alsaconf rests
- there's no translation catalog
- new release
- fix buildrequires for s/Polypaudio/PulseAudio/ name change

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import alsa-plugins-1.0.11-3mdk

* Tue May 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- fix buildrequires for x86_64 (#22430)
- remove manual requires already guessed by spec-helper

* Mon May 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.11-2mdk
- Fix Requires

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release
- fix buildrequires
- do not include all sources in doc when locale is not C...

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc1.1mdk
- new release

* Fri Oct 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.9-2mdk
- Fix BuildRequires
- %%{1}mdk

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc4.1mdk
- new release

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc3.1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.rc2.1mdk
- initial release

